Subject: Re: sh problem
From: Bob McGowan <[email-masked]>
To: Noel L Yap <[email-masked]>
Cc: [email-masked]
Date: Fri, 28 Jul 2000 16:00:16 -0700

Well, I was hoping there might be something I'd missed seeing.  Anyway,
I've looked through your cygcheck output (and I admit upfront I'm no
expert at it;-).  I did notice a large number of entries for "CYGWIN.DLL
setup\b15.0\" and an MKSTools CD mounted.  Are you sure you're not
running either an old bash or even the MKS shell (long shots, I know,
but its good to know)?  And your NTRESKIT looks to be hidden, so it
should not be interfering.

I'm curious about the Path: section near the beginning.  Any idea what
all the "?" at the beginning of each element mean?  My output shows
leading white space only.

And your CYGWIN variable may need fixing.  I don't think having "export"
included does anything useful and it may prevent the following items
from being seen.

I've attached my cygcheck output for you to compare, too.  Maybe you'll
see something else.

---
Cygnus Win95/NT Configuration Diagnostics
Current System Time: Fri Jul 28 15:34:27 2000

WinNT Ver 4.0 build 1381 Service Pack 5

Path:	/usr/bob/bin
	/usr/bin
	/usr/X11R6/bin
	/usr/local/bin
	/contrib/bin
	/drv/c/winnt/system32
	/drv/c/winnt
	.

SysDir: C:\WINNT\System32
WinDir: C:\WINNT

CYGWIN = `binmode tty'
HOME = `/usr/bob'
PWD = `/usr/bob/tmp'

APPATH = `C:\Program Files\Sunbelt Software\AutoPilot'
BASEMAKE = `D:\Program Files\Microsoft Platform
SDK\Include\BKOffice.Mak'
BC_ENV_ARGS = `-q'
BKOFFICE = `D:\Program Files\Microsoft Platform SDK\'
CDPATH = `.:/usr/bob:/'
CLASSPATH = `C:\Program Files\ExceedNT\hcljrcsv.zip;C:\Program
Files\ExceedNT'
COMPUTERNAME = `RAMJR'
COMSPEC = `C:\WINNT\system32\cmd.exe'
DISPLAY = `ramjr:0.0'
DXSDKROOT = `D:\Program Files\Microsoft Platform SDK\'
EDITOR = `/usr/local/bin/vim'
EXINIT = `set ai sm sw=4 terse noshowmode'
HOMEDRIVE = `C:'
HOMEPATH = `\usr\bob'
HOSTNAME = `ramjr'
HOSTTYPE = `i586'
INCLUDE = `C:\Program Files\Microsoft Visual
Studio\VC98\atl\include;C:\Program Files\Microsoft Visual
Studio\VC98\mfc\include;C:\Program Files\Microsoft Visual
Studio\VC98\include;D:\Program Files\Microsoft Platform
SDK\Include\;D:\Program Files\Microsoft Platform SDK\Include\Atl30\'
INETSDK = `D:\Program Files\Microsoft Platform SDK\'
LIB = `C:\Program Files\Microsoft Visual Studio\VC98\mfc\lib;C:\Program
Files\Microsoft Visual Studio\VC98\lib;D:\Program Files\Microsoft
Platform SDK\Lib\'
LOGNAME = `rmcgowan'
LOGONSERVER = `\\NTV_BDC'
MACHTYPE = `i586-pc-cygwin'
MSDEVDIR = `C:\Program Files\Microsoft Visual Studio\Common\MSDev98'
MSSDK = `D:\Program Files\Microsoft Platform SDK\'
MSTOOLS = `D:\Program Files\Microsoft Platform SDK\'
NTRESKIT = `C:\Program Files\NTReskit'
NUMBER_OF_PROCESSORS = `1'
OLDPWD = `/usr/local/i586-pc-msdosdjgpp/include'
OS2LIBPATH = `C:\WINNT\system32\os2\dll;'
OS = `Windows_NT'
OSTYPE = `cygwin'
PROCESSOR_ARCHITECTURE = `x86'
PROCESSOR_IDENTIFIER = `x86 Family 6 Model 7 Stepping 3, GenuineIntel'
PROCESSOR_LEVEL = `6'
PROCESSOR_REVISION = `0703'
PROMPT_COMMAND = `xtitle "rmcgowan@ramjr    " "$PWD"'
PS1 = `[ramjr]$ '
SHELL = `/bin/sh
'
SHLVL = `1'
SYSTEMDRIVE = `C:'
SYSTEMROOT = `C:\WINNT'
TEMP = `d:\TMP'
TERM = `cygwin'
TERMINFO_DIRS = `/contrib/share/terminfo'
TMP = `d:\TMP'
TMPDIR = `/tmp'
USERDOMAIN = `NTV'
USERNAME = `rmcgowan'
USERPROFILE = `C:\WINNT\Profiles\rmcgowan.000'
WINDIR = `C:\WINNT'
WINDOWID = `8388622'
_ = `/usr/bin/cygcheck'
TZ = `PST8PDT7,M4.1.0/2,M10.5.0/2'

HKEY_CURRENT_USER\Software\Cygnus Solutions
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts v2
  (default) = `/drv'
  cygdrive flags = 0x00000020
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts v2\/mnt/cdrom
  (default) = `e:/'
  flags = 0x00000002
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts
v2\/mnt/install
  (default) = `i:/install'
  flags = 0x00000002
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts v2\/mnt/public
  (default) = `//vmmp2/public'
  flags = 0x00000002
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts v2\/usr/bob
  (default) = `c:/usr/bob'
  flags = 0x00000002
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts
v2\/usr/bob/megami
  (default) = `u:/'
  flags = 0x00000002
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts
v2\/usr/src/boehm_gc
  (default) = `d:/boehm_gc'
  flags = 0x00000002
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts
v2\/usr/src/sather
  (default) = `d:/sather'
  flags = 0x00000002
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts
v2\/usr/src/sather-w
  (default) = `d:/sather-w'
  flags = 0x00000002
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts
v2\/usr/src/sather_cpp
  (default) = `d:/sather_cpp'
  flags = 0x00000002
HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\Program Options
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin\1.00.000
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin\mounts v2
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin\mounts v2\/
  (default) = `c:/cygwin'
  flags = 0x0000000a
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin\mounts v2\/usr/bin
  (default) = `c:/cygwin/bin'
  flags = 0x0000000a
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\Cygwin\mounts v2\/usr/lib
  (default) = `c:/cygwin/lib'
  flags = 0x0000000a
HKEY_LOCAL_MACHINE\SOFTWARE\Cygnus Solutions\CYGWIN.DLL setup

a:  fd           N/A    N/A                    
c:  hd  NTFS    4086Mb  82% CP CS UN PA FC     RAMJR Boot Disk
d:  hd  NTFS    4659Mb  61% CP CS UN PA FC     RAMJR Data Disk
e:  cd           N/A    N/A                    
h:  net NTFS   14660Mb  63% CP CS UN PA FC     Engr1
i:  net NTFS    8675Mb  90% CP CS UN PA FC     
p:  net NTFS   17358Mb  96% CP CS UN PA FC     test1
u:  net Samba   4063Mb  99% CP    UN           rmcgowan
w:  net NTFS   48095Mb  97% CP CS UN PA FC     
x:  net NTFS    4094Mb  91% CP CS UN PA FC     Apps

\\vmmp2\public  /mnt/public  user    binmode
c:\cygwin\bin  /usr/bin  system  binmode
c:\cygwin\lib  /usr/lib  system  binmode
d:\sather_cpp  /usr/src/sather_cpp  user    binmode
d:\boehm_gc  /usr/src/boehm_gc  user    binmode
d:\sather-w  /usr/src/sather-w  user    binmode
i:\install  /mnt/install  user    binmode
c:\usr\bob  /usr/bob  user    binmode
c:\cygwin  /        system  binmode
d:\sather  /usr/src/sather  user    binmode
e:    /mnt/cdrom  user    binmode
u:    /usr/bob/megami  user    binmode

Found: c:\cygwin\bin\bash.exe
Found: c:\cygwin\usr\local\bin\bash.exe
Warning: c:\cygwin\bin\bash.exe hides c:\cygwin\usr\local\bin\bash.exe
Found: c:\cygwin\bin\cat.exe
Found: c:\cygwin\bin\cpp.exe
Found: c:\cygwin\bin\find.exe
Found: c:\cygwin\bin\gcc.exe
Found: c:\cygwin\bin\gdb.exe
Found: c:\cygwin\bin\ld.exe
Found: c:\cygwin\bin\ls.exe
Found: c:\cygwin\bin\make.exe
Found: c:\cygwin\bin\sh.exe

   83k 2000/06/11 c:\cygwin\bin\cygitcl30.dll - os=4.0 img=1.0 sys=4.0
                  "cygitcl30.dll" v0.0 ts=2000/6/10 20:34
   35k 2000/06/11 c:\cygwin\bin\cygitk30.dll - os=4.0 img=1.0 sys=4.0
                  "cygitk30.dll" v0.0 ts=2000/6/10 20:34
  402k 2000/06/11 c:\cygwin\bin\cygtcl80.dll - os=4.0 img=1.0 sys=4.0
                  "cygtcl80.dll" v0.0 ts=2000/6/10 20:30
    5k 2000/06/11 c:\cygwin\bin\cygtclpip80.dll - os=4.0 img=1.0 sys=4.0
   10k 2000/06/11 c:\cygwin\bin\cygtclreg80.dll - os=4.0 img=1.0 sys=4.0
                  "cygtclreg80.dll" v0.0 ts=2000/6/10 20:30
  639k 2000/06/11 c:\cygwin\bin\cygtk80.dll - os=4.0 img=1.0 sys=4.0
                  "cygtk80.dll" v0.0 ts=2000/6/10 20:34
  575k 2000/06/07 c:\cygwin\bin\cygwin1.dll - os=4.0 img=1.0 sys=4.0
                  "cygwin1.dll" v0.0 ts=2000/6/6 19:20
Use -h to see help about each section

Noel L Yap wrote:
> 
---deleted noel's cygcheck, etc.

-- 
Bob McGowan
Staff Software Quality Engineer
VERITAS Software
[email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]